# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Enum CrawlIssueCrawlType.CrawlType

    java.lang.Object
      java.lang.Enum<CrawlIssueCrawlType.CrawlType>
          com.google.gdata.data.webmastertools.CrawlIssueCrawlType.CrawlType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CrawlIssueCrawlType.CrawlType>

Enclosing class:
  CrawlIssueCrawlType

    public static enum CrawlIssueCrawlType.CrawlType

extends java.lang.Enum<CrawlIssueCrawlType.CrawlType>

Value.

Enum Constant Summary
`MOBILE_CHTML_CRAWL` The type of crawl is Mobile, CHTML.
`MOBILE_OPERATOR_CRAWL` The type of crawl is Mobile, Operator.
`MOBILE_XHTML_WML_CRAWL` The type of crawl is Mobile, XHTML / WML.
`NEWS_CRAWL` The type of crawl is News.
`WEB_CRAWL` The type of crawl is Web.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the XML.
`static CrawlIssueCrawlType.CrawlType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CrawlIssueCrawlType.CrawlType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MOBILE_CHTML_CRAWL

    public static final CrawlIssueCrawlType.CrawlType MOBILE_CHTML_CRAWL

  The type of crawl is Mobile, CHTML.

### MOBILE_OPERATOR_CRAWL

    public static final CrawlIssueCrawlType.CrawlType MOBILE_OPERATOR_CRAWL

  The type of crawl is Mobile, Operator.

### MOBILE_XHTML_WML_CRAWL

    public static final CrawlIssueCrawlType.CrawlType MOBILE_XHTML_WML_CRAWL

  The type of crawl is Mobile, XHTML / WML.

### NEWS_CRAWL

    public static final CrawlIssueCrawlType.CrawlType NEWS_CRAWL

  The type of crawl is News.

### WEB_CRAWL

    public static final CrawlIssueCrawlType.CrawlType WEB_CRAWL

  The type of crawl is Web.

Method Detail

### values

    public static CrawlIssueCrawlType.CrawlType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CrawlIssueCrawlType.CrawlType c : CrawlIssueCrawlType.CrawlType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CrawlIssueCrawlType.CrawlType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the XML.

  Returns:
    value used in the XML